
Foreman - Bug #13269

HTML validation errors on the new Smart Proxy detail page

01/19/2016 03:41 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Smart Proxy   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There are validation errors on the show page, most importantly:

- Missing one opening Div element (something is closed twice)

- Div elements inside Span elements (mostly spinners)

- Spinners have no class and/or id, so it's rendered as <div id='' class='spinner spinner-xs '>

Related issues:

Related to Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

History

#1 - 01/19/2016 03:41 AM - Lukas Zapletal

- Related to Tracker #12507: Smart Proxy UX improvments added

#2 - 01/19/2016 04:41 AM - Dominic Cleal

- Category set to Smart Proxy

#3 - 02/09/2016 02:38 AM - Shlomi Zadok

- Status changed from New to Feedback

I believe this was fixed with https://github.com/theforeman/foreman/pull/3125 (as well as other related PRs).

@Lukas Zapletal, can you please confirm?

#4 - 02/12/2016 07:23 AM - Lukas Zapletal

- Status changed from Feedback to Closed

Yes, thanks.

#5 - 02/15/2016 08:07 AM - Dominic Cleal

- translation missing: en.field_release set to 71
